package cn.com.countrygarden.bi.main.model.microSatisfy;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 小业主满意度数据导入
 * @author shitong
 *
 */
public class MicroSatisfyModel {
	private String uuid;				//主键
	private String bussinessId;			//（外呼工单ID）
	private String questionNaire;				//问卷名称
	private String pid;				//导入批次(yyyymmddhhiiss)
	private String commId;				//项目ID
	private String commName;				//项目名
	private String organId;				//区域id
	private String organName;				//区域名
	private String roomName;				//房屋名称
	private String custName;				//客户名称
	private String receiverName;				//处理人
	private String mobile;				//电话
	private String finishTime;				//完成时间
	private String status;				//1 有效 0或其他 无效
	private String createBy;		//创建人
	private String updateBy;		//修改人
	private String createTime;				//创建时间
	private String updateTime;				//修改时间
	private String n1;				//问题n1答案
	private String n2;				//问题n2答案
	private String n31;				//问题n31答案
	private String n32;				//问题n32答案
	private String n33;				//问题n33答案
	private String n34;				//问题n3-4答案
	private String n35;				//问题n3-5答案
	private String n36;				//问题n3-6答案
	private String n37;				//问题n3-7答案
	private String n38;				//问题n3-8答案
	private String n39;				//问题n3-9答案
	private String n310;				//问题n3-10答案
	private String n311;				//问题n3-11答案
	private String n312;				//问题n3-12答案
	private String n313;				//问题n3-13答案
	private String n314;				//问题n3-14答案
	private String n315;				//问题n3-15答案
	private String n316;				//问题n3-16答案
	private String n317;				//问题n3-17答案
	private String n318;				//问题n3-18答案
	private String n319;				//问题n3-19答案
	private String n320;				//问题n3-20答案
	private String n321;				//问题n3-21答案
	private String n322;				//问题n3-22答案
	private String n398;				//问题n3-98答案
	private String n5;				//问题n5答案
	private String n6;				//问题n6答案
	private String n7;				//问题n7答案
	private String f1;				//问题f1答案
	private String f2;				//问题f2答案
	private String f3;				//问题f3答案
	private String f4;              
	private String f5;  
	private String butlerCognition; //管家认知
	private String otherUnsatisfy;	//其他不满原声
	private String voice;			//客户原声
	
	private Map<String,Object> msgMap;

	public String getUuid() {
		return uuid;
	}
	public void setUuid(String uuid) {
		this.uuid = uuid;
	}
	
	public String getBussinessId() {
		return bussinessId;
	}
	public void setBussinessId(String bussinessId) {
		this.bussinessId = bussinessId;
	}
	public String getQuestionNaire() {
		return questionNaire;
	}
	public void setQuestionNaire(String questionNaire) {
		this.questionNaire = questionNaire;
	}
	public String getPid() {
		return pid;
	}
	public void setPid(String pid) {
		this.pid = pid;
	}
	public String getCommId() {
		return commId;
	}
	public void setCommId(String commId) {
		this.commId = commId;
	}
	public String getCommName() {
		return commName;
	}
	public void setCommName(String commName) {
		this.commName = commName;
	}
	public String getOrganId() {
		return organId;
	}
	public void setOrganId(String organId) {
		this.organId = organId;
	}
	public String getOrganName() {
		return organName;
	}
	public void setOrganName(String organName) {
		this.organName = organName;
	}
	public String getRoomName() {
		return roomName;
	}
	public void setRoomName(String roomName) {
		this.roomName = roomName;
	}
	public String getCustName() {
		return custName;
	}
	public void setCustName(String custName) {
		this.custName = custName;
	}
	public String getReceiverName() {
		return receiverName;
	}
	public void setReceiverName(String receiverName) {
		this.receiverName = receiverName;
	}
	public String getMobile() {
		return mobile;
	}
	public void setMobile(String mobile) {
		this.mobile = mobile;
	}
	public String getFinishTime() {
		return finishTime;
	}
	public void setFinishTime(String finishTime) {
		this.finishTime = finishTime;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public String getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}
	public String getN1() {
		return n1;
	}
	public void setN1(String n1) {
		this.n1 = n1;
	}
	public String getN2() {
		return n2;
	}
	public void setN2(String n2) {
		this.n2 = n2;
	}
	public String getN31() {
		return n31;
	}
	public void setN31(String n31) {
		this.n31 = n31;
	}
	public String getN32() {
		return n32;
	}
	public void setN32(String n32) {
		this.n32 = n32;
	}
	public String getN33() {
		return n33;
	}
	public void setN33(String n33) {
		this.n33 = n33;
	}
	public String getN34() {
		return n34;
	}
	public void setN34(String n34) {
		this.n34 = n34;
	}
	public String getN35() {
		return n35;
	}
	public void setN35(String n35) {
		this.n35 = n35;
	}
	public String getN36() {
		return n36;
	}
	public void setN36(String n36) {
		this.n36 = n36;
	}
	public String getN37() {
		return n37;
	}
	public void setN37(String n37) {
		this.n37 = n37;
	}
	public String getN38() {
		return n38;
	}
	public void setN38(String n38) {
		this.n38 = n38;
	}
	public String getN39() {
		return n39;
	}
	public void setN39(String n39) {
		this.n39 = n39;
	}
	public String getN310() {
		return n310;
	}
	public void setN310(String n310) {
		this.n310 = n310;
	}
	public String getN311() {
		return n311;
	}
	public void setN311(String n311) {
		this.n311 = n311;
	}
	public String getN312() {
		return n312;
	}
	public void setN312(String n312) {
		this.n312 = n312;
	}
	public String getN313() {
		return n313;
	}
	public void setN313(String n313) {
		this.n313 = n313;
	}
	public String getN314() {
		return n314;
	}
	public void setN314(String n314) {
		this.n314 = n314;
	}
	public String getN315() {
		return n315;
	}
	public void setN315(String n315) {
		this.n315 = n315;
	}
	public String getN316() {
		return n316;
	}
	public void setN316(String n316) {
		this.n316 = n316;
	}
	public String getN317() {
		return n317;
	}
	public void setN317(String n317) {
		this.n317 = n317;
	}
	public String getN318() {
		return n318;
	}
	public void setN318(String n318) {
		this.n318 = n318;
	}
	public String getN319() {
		return n319;
	}
	public void setN319(String n319) {
		this.n319 = n319;
	}
	public String getN320() {
		return n320;
	}
	public void setN320(String n320) {
		this.n320 = n320;
	}
	public String getN321() {
		return n321;
	}
	public void setN321(String n321) {
		this.n321 = n321;
	}
	public String getN322() {
		return n322;
	}
	public void setN322(String n322) {
		this.n322 = n322;
	}
	public String getN398() {
		return n398;
	}
	public void setN398(String n398) {
		this.n398 = n398;
	}
	public String getN5() {
		return n5;
	}
	public void setN5(String n5) {
		this.n5 = n5;
	}
	public String getN6() {
		return n6;
	}
	public void setN6(String n6) {
		this.n6 = n6;
	}
	public String getN7() {
		return n7;
	}
	public void setN7(String n7) {
		this.n7 = n7;
	}
	public String getF1() {
		return f1;
	}
	public void setF1(String f1) {
		this.f1 = f1;
	}
	public String getF2() {
		return f2;
	}
	public void setF2(String f2) {
		this.f2 = f2;
	}
	public String getF3() {
		return f3;
	}
	public void setF3(String f3) {
		this.f3 = f3;
	}
	
	public String getOtherUnsatisfy() {
		return otherUnsatisfy;
	}
	public void setOtherUnsatisfy(String otherUnsatisfy) {
		this.otherUnsatisfy = otherUnsatisfy;
	}
	public String getVoice() {
		return voice;
	}
	public void setVoice(String voice) {
		this.voice = voice;
	}
	public String getCreateBy() {
		return createBy;
	}
	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}
	public String getUpdateBy() {
		return updateBy;
	}
	public void setUpdateBy(String updateBy) {
		this.updateBy = updateBy;
	}
    public Map<String, Object> getMsgMap() {
        return msgMap;
    }
    public void setMsgMap(Map<String, Object> msgMap) {
        this.msgMap = msgMap;
    }
    public String getF4() {
        return f4;
    }
    public void setF4(String f4) {
        this.f4 = f4;
    }
    public String getF5() {
        return f5;
    }
    public void setF5(String f5) {
        this.f5 = f5;
    }
    public String getButlerCognition() {
        return butlerCognition;
    }
    public void setButlerCognition(String butlerCognition) {
        this.butlerCognition = butlerCognition;
    }

  
}
